﻿using System;

namespace EonaCat.Sockets
{
    public class SocketServerDataEventArgs : EventArgs
    {
        /// <summary>
        /// Client.
        /// </summary>
        public Client Client { get; set; }
        
        /// <summary>
        /// Received data.
        /// </summary>
        public byte[] Data { get; set; }
    }

    public class SocketServerClientEventArgs : EventArgs
    {
        /// <summary>
        /// Client connection.
        /// </summary>
        public Client Client { get; set; }
    }
}
